::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: Support\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=65535
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=10-b52-Stealth-RC24
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the next "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=7c42c84bb7cf63288307d589f207b9ad
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=d85ef6f0b332ef0cf585d81f388b38e1
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=c731bb159828681c0bcef9dbbab78253
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=3ca3f8ac708f4ee2480a4b665dffd1fa
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=1e8377e425a044fb0c265b67891dadf9
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=096868329322bc5f5969b7fe3ccc4f79
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=5472bea95a37cdb46ddbff249b24ab3c
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=6fbfed6fb8c6f081d95e9d4fa65008f4
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=f6dd502882e555c957df0ee0a66bc5f8
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=5dbb428a0d7978a6d59d7fa7656415f5
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=c2ddad312ddd7dc76e6156664cf63065
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=ccdc5ff146317646885562a074478007
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=2698c7684b9f905c367c1c0c4fadaeef
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=50310e18627398feba44368635d7a64f
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=1cb17ea08079fa83476090a86889b31b
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=9cc82a65648ee8a27889c141a824b83f
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=b280bfcbea8a50a2a7e184a59cdbe0e6
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=32c36ab42c1be1c51576e84168663ef6
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=91d98c7d760abd94f5d8f3f3443285d5
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=e575b977cfa503f3b6ca8a86f296e21a
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=d014a92ec1c6b06783b627f514a71663
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=16c353d3939dff84ece538925d72f612
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=ff57c4f1609ec4ac2dac923e66d5c071
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=b858ba5ae671aad11e88d99c7a7d6d2d
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=78effd3992013d84c9bcf2e63f541355
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=63fb991fde3ad92ea0d61397304fb611
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=29c4d31de3daad606dd015a866e15c11
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=693ff047be48beeffd3b3cdf87d52d67
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=f0a767719e5bf5c2c4a9ac8e35bcc397
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=ca0f3d34c8f728794de90853ab1698b3
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=efbdec243b68b450cff8c4ec4c4ab54f
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=e33f0bc9c044dc2e888604fe990dfa22
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=a9cbd11b00797244b3264c1eb48c07e9
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=b0132b09ef648b1d5964eb7ffab1f25c
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=c05210e8131dc3896186f9e216362c5a
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=3c7cfef05f93941294b74ab027ba4f00
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=1140a53d63846104214eac43f0da084a
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5alt=5d7e93902593c2e443f126193dff80e7
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5alt=d061eed90d9f2f52c6072ab852edc05f
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5alt=5674267cbf0d3a352f9e92bf669c92d8
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5alt=f0217370e435c531d2c6b7e2b5cf27dc
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5alt=808b479628dd176754dd1c961100fb42
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5alt=7299b1c4107dd784a236d0cca72e5a2f
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=d014a92ec1c6b06783b627f514a71663
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=18232a528c1819d3a9f1e54eecfd28c4
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=9c9a11623fdb10da2e6811ebe31c2bb3
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::Support\More-cIOSs\{ANY FOLDER NAME}\mload.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::Support\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::Support\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::Support\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::Support\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::Support\More-cIOSs\{ANY FOLDER NAME}\ES.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

